Installing JavaHL on Ubuntu for Subclipse

JavaHL is a part of subversion project, the java language binding for the subversion API. It is needed for different purposes. Eclipse asks for installing the right version of JavaHL when we restart eclipse after installing subclipse.

Eclipse warning: JavaHL

If this is the case with you, exit eclipse and run the following command in a terminal.

sudo apt-get install libsvn-java

This will install JavaHL. Next you need to tell eclipse where these libraries reside. To locate the libraries, run the following command.

sudo find / -name libsvnjavahl-1.so

This will output the path to the libraries.

Locate JavaHL libraries

The path in our case is: “/usr/lib/x86_64-linux-gnu/jni”. Open the eclipse.ini file in the eclipse installation directory and add the following line after the -vmargs.

-Djava.library.path=/usr/lib/x86_64-linux-gnu/jni

Add JavaHL path in eclipse.ini

Start eclipse, it should work now.

Comments

comments

Leave a Reply

Your email address will not be published. Required fields are marked *